﻿/*
 * 邮件模块协议定义
 * 
 * **/
using ProtoBuf;
using System;
using System.Collections.Generic;

namespace Protocols {

    /// <summary>
    /// 邮件类型
    /// </summary>
    public enum EMailType {
        Normal = 0,// 普通邮件
        DungeonBossRank = 1,// 副本Boss排行奖励
        DungeonBossFinal = 2,// 副本Boss最后一击幸运奖励
    }

    /// <summary>
    /// 邮件条目
    /// </summary>
    [ProtoContract]
    public class stMailItem
    {
        //邮件ID
        [ProtoMember(1)] public string ID = "";
        //邮件标题
        [ProtoMember(2)] public string Title = "";
        //时间
        [ProtoMember(3)] public ulong Date = 0;
        //[ProtoMember(3)] public DateTime Date = DateTime.MinValue;
        //是否已读
        [ProtoMember(4)] public bool HasRead = false;
        //标题(英)
        [ProtoMember(5)] public string Title_En = "";
    }

    ///// <summary>
    ///// 邮件详情
    ///// </summary>
    //[ProtoContract]
    //public class stMailDetail {
    //    //ID
    //    [ProtoMember(1)] public string ID = "";
    //    //类型
    //    [ProtoMember(2)] public EMailType type = EMailType.Normal;
    //    //标题
    //    [ProtoMember(3)] public string Title = "";
    //    //内容
    //    [ProtoMember(4)] public string Content = "";
    //    //日期
    //    [ProtoMember(5)] public ulong Date = 0;
    //    //[ProtoMember(5)] public DateTime Date = DateTime.MinValue;
    //    //是否已读
    //    [ProtoMember(6)] public bool HasRead = false;
    //    //奖励列表
    //    [ProtoMember(7)] public List<stPropItem> Awards = new List<stPropItem>();
    //    //标题(英)
    //    [ProtoMember(8)] public string Title_En = "";
    //    //内容(英)
    //    [ProtoMember(9)] public string Content_En = "";
    //}

    ///// <summary>
    ///// 新邮件通知
    ///// </summary>
    //[ProtoContract]
    //public class MailNewsNtf : ProtoBody {
    //}

    ///// <summary>
    ///// 获取邮件列表请求
    ///// </summary>
    //[ProtoContract]
    //public class MailGetMailListReq : ProtoBody
    //{

    //}

    /// <summary>
    /// 获取邮件列表返回
    /// </summary>
    [ProtoContract]
    public class MailGetMailListRsp : ProtoBody {
        public enum ErrorID : uint {
            //成功
            Success = 0,
            //失败
            Failed = 1,
        }

        //[ProtoMember(1)]
        //public ErrorID errorID;
        ////邮件列表
        //[ProtoMember(2)] public List<stMailItem> MailItems = new List<stMailItem>();
    }

    ///// <summary>
    ///// 获取邮件详情请求
    ///// </summary>
    //[ProtoContract]
    //public class MailGetMailDetailReq : ProtoBody {
    //    //邮件ID
    //    [ProtoMember(1)] public string ID = "";
    //}

    /// <summary>
    /// 获取邮件详情返回
    /// </summary>
    [ProtoContract]
    public class MailGetMailDetailRsp : ProtoBody {
        public enum ErrorID : uint {
            //成功
            Success = 0,
            //失败
            Failed = 1,
        }

        //[ProtoMember(1)] public ErrorID errorID;
        ////邮件详情
        //[ProtoMember(2)] public stMailDetail MailDetail = new stMailDetail();
    }

    ///// <summary>
    ///// 获取邮件奖励请求
    ///// </summary>
    //[ProtoContract]
    //public class MailGetMailRewardReq : ProtoBody {
    //    //邮件ID
    //    [ProtoMember(1)] public string ID = "";
    //}

    /// <summary>
    /// 获取邮件奖励返回
    /// </summary>
    [ProtoContract]
    public class MailGetMailRewardRsp : ProtoBody {
        public enum ErrorID : uint {
            //成功
            Success = 0,
            //失败
            Failed = 1,
        }

        //[ProtoMember(1)] public ErrorID errorID;

        ////邮件ID
        //[ProtoMember(2)] public string ID = "";
    }

}
